> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Working Time Arrangement by id.

> <Warning>
**This is a beta feature.** 
You may not benefit from this feature. Working-time-arrangements are the
replacement for the workcycles. If this feature has not been deployed on
your environment, please contact our support.
</Warning>

Get a Working Time Arrangement by id



## OpenAPI

````yaml /openapi-specs/schedule.yaml get /schedule/api/working-time-arrangements/{workingTimeArrangementId}
openapi: 3.1.0
info:
  title: Time Settings API
  version: '1.0'
  description: |
    Welcome on the documentation for the Time Settings API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: UserDates
    description: Aggregates work schedule events.
  - name: WorkCycleExceptions
    description: Override an employee's theoretical working hours.
  - name: Working Time Arrangements
    description: Employees recurring working hours.
  - name: Collective Schedules
    description: Describes the working hours pattern of a working-time-arrangement.
  - name: employee-assignments
    description: Assignations of employees to working time arrangements.
paths:
  /schedule/api/working-time-arrangements/{workingTimeArrangementId}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/workingTimeArrangementId_path'
    get:
      tags:
        - Working Time Arrangements
      summary: Get a Working Time Arrangement by id.
      description: |-
        <Warning>
        **This is a beta feature.** 
        You may not benefit from this feature. Working-time-arrangements are the
        replacement for the workcycles. If this feature has not been deployed on
        your environment, please contact our support.
        </Warning>

        Get a Working Time Arrangement by id
      operationId: get-schedule-api-working-time-arrangements-workingTimeArrangementId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkingTimeArrangement'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    workingTimeArrangementId_path:
      name: workingTimeArrangementId
      description: The unique identifier of the Working Time Arrangement.
      in: path
      required: true
      schema:
        type: integer
        format: int32
        minimum: 0
  schemas:
    WorkingTimeArrangement:
      title: The Working Time Arrangement resource
      x-tags:
        - Working Time Arrangements
      description: >
        A working time arrangement is an object aimed at drawing employees
        populations regarding time management rules.


        It is attached to employees through their work contract and essentially
        dictates:
          - their contractual working time, ie how many hours / days they are paid for each week / year.
          - a full time equivalent based on the the ratio between this contractual work duration and a "full time work duration".
          - a succession of Collective Schedules that describe their usual working hours.
          - the applicable regulation in Lucca Timesheet.
      type: object
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
          description: The unique identifier of this Working Time Arrangement.
        name:
          type: string
          minLength: 3
          maxLength: 1000
          description: The unique name for this Working Time Arrangement.
        description:
          type:
            - string
            - 'null'
          minLength: 0
          maxLength: 5000
          description: An optional description.
        unit:
          $ref: '#/components/schemas/EventUnit'
        referencePeriod:
          oneOf:
            - $ref: '#/components/schemas/ReferenceWeek'
            - $ref: '#/components/schemas/ReferenceYear'
            - type: 'null'
          description: The period the Contract Working Time Duration applies over.
        contractWorkingTimeDuration:
          $ref: '#/components/schemas/Duration'
          description: >-
            How many hours / days these employees are paid for every Reference
            Period?
        referenceWorkingTimeDuration:
          $ref: '#/components/schemas/Duration'
          description: >-
            The number of hours / days for a full-time employee over the same
            Reference Period.
        fullTimeEquivalent:
          type: number
          format: decimal
          multipleOf: 0.0001
          minimum: 0
          maximum: 1
          description: >
            By default, equal to the ratio between the Contract Working Time
            Duration and the Reference Working Time Duration.
        fullDayAbsence:
          $ref: '#/components/schemas/FullDayAbsence'
          description: >-
            The fixed duration assigned to absences for one or more accounts or
            categories.
        publicHolidaysCalendar:
          allOf:
            - $ref: '#/components/schemas/PublicHolidayCalendar'
            - description: >-
                Unique identifier of the Public Holidays Calendar applicable to
                these employees.
        isPartTime:
          type: boolean
          description: True whenever the Full Time Equivalent is below 1 (eg <100%).
          readOnly: true
        isArchived:
          type: boolean
          description: >-
            True whenever this Working Time Arrangement should no longer be
            given to employees.
          readOnly: true
        isScheduleValid:
          type: boolean
          description: >-
            False if there is not at least one Collective Schedule. In this
            case, the Working Time Arrangement can't be given to any employee
            through his Work Contract.
          readOnly: true
        currentAssignmentsCount:
          type: integer
          format: int32
          readOnly: true
        timesheetRegulation:
          $ref: '#/components/schemas/TimesheetRegulation'
          description: >-
            The applicable Lucca Timesheet regulation, which contains all rules
            regarding time tracking management in this application.
        currentSchedulePatternSummary:
          $ref: '#/components/schemas/SchedulePatternSummary'
          description: >-
            A summary of the expected working hours, given the currently ongoing
            Schedule Pattern.
        authorizedCommands:
          type: array
          description: >-
            The actions the current authenticated User can make on this Working
            Time Arrangement. Depends on his permissions.
          items:
            type: string
            enum:
              - create
              - update
              - delete
              - archive
              - unarchive
      required:
        - id
        - name
        - description
        - unit
        - fullTimeEquivalent
        - publicHolidaysCalendar
        - isPartTime
        - isArchived
        - isScheduleValid
        - authorizedCommands
    ProblemDetail:
      title: ProblemDetail
      type: object
      properties:
        type:
          type: string
          format: uri
          description: Type of problem encountered.
        title:
          type: string
          description: Human-readable description of the type of problem encountered.
        detail:
          type: string
          description: Human-readable description of the problem encountered.
    EventUnit:
      title: Event Unit (enum)
      x-internal: true
      x-tags:
        - Core
      type: string
      enum:
        - day
        - hour
        - time
      description: |-
        An event can be set in:
        - Day: "I worked for a half day last Monday".
        - Hour: "I worked for 2 hours last Monday".
        - Time: "I worked between 10:00 AM and 12:00 AM last Monday".
    ReferenceWeek:
      title: Week
      x-internal: true
      x-tags:
        - Working Time Arrangements
      allOf:
        - $ref: '#/components/schemas/ReferencePeriod'
        - type: object
          properties:
            firstDayOfWeek:
              $ref: '#/components/schemas/DayOfWeek'
      required:
        - firstDayOfWeek
        - frequencyType
    ReferenceYear:
      title: Year
      x-internal: true
      x-tags:
        - Working Time Arrangements
      allOf:
        - $ref: '#/components/schemas/ReferencePeriod'
        - type: object
          properties:
            firstMonth:
              $ref: '#/components/schemas/Month'
      required:
        - firstMonth
        - frequencyType
    Duration:
      title: Duration
      x-internal: true
      x-tags:
        - Core
      type: object
      properties:
        value:
          type: number
          format: decimal
          multipleOf: 0.0001
          minimum: 0
          readOnly: true
        iso:
          type: string
          format: duration
        unit:
          $ref: '#/components/schemas/DurationUnit'
    FullDayAbsence:
      title: FullDayAbsence
      type: object
      required:
        - absenceAccountIds
        - absenceCategoryIds
        - duration
      properties:
        duration:
          title: Duration
          allOf:
            - $ref: '#/components/schemas/Duration'
          description: The fixed duration assigned to an absence.
        absenceAccountIds:
          type: array
          uniqueItems: true
          items:
            title: Int32
            type: integer
            format: int32
            minimum: 0
          description: >-
            The identifiers of the absence accounts this full day absence
            applies to.
        absenceCategoryIds:
          type: array
          uniqueItems: true
          items:
            title: Int32
            type: integer
            format: int32
            minimum: 0
          description: >-
            The identifiers of the absence categories this full day absence
            applies to.
    PublicHolidayCalendar:
      title: PublicHolidayCalendar,
      required:
        - id
      type: object
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
          description: The unique identifier of this holiday calendar.
        name:
          type:
            - string
            - 'null'
          readOnly: true
    TimesheetRegulation:
      title: Lucca Timesheet regulation
      x-tags:
        - Applications
      type: object
      properties:
        id:
          type: integer
          format: int32
          minimum: 0
        name:
          type: string
          minLength: 1
          readOnly: true
      required:
        - id
        - name
    SchedulePatternSummary:
      title: Summary of a Schedule Pattern
      type: object
      properties:
        shape:
          $ref: '#/components/schemas/SchedulePatternShape'
        days:
          type: array
          items:
            type: object
            properties:
              dayOffType:
                $ref: '#/components/schemas/DayOffType'
              workPosition:
                $ref: '#/components/schemas/DayPosition'
              workDuration:
                type:
                  - number
                  - 'null'
                format: decimal
                minimum: 0
              workDurationUnit:
                $ref: '#/components/schemas/DurationUnit'
      required:
        - days
        - shape
    ReferencePeriod:
      title: Reference Period
      x-internal: true
      x-tags:
        - Working Time Arrangements
      type: object
      properties:
        frequencyType:
          $ref: '#/components/schemas/FrequencyType'
      discriminator:
        propertyName: frequencyType
        mapping:
          week:
            $ref: '#/components/schemas/ReferenceWeek'
          year:
            $ref: '#/components/schemas/ReferenceYear'
      required:
        - frequencyType
    DayOfWeek:
      title: dayOfWeek
      type: string
      enum:
        - monday
        - tuesday
        - wednesday
        - thursday
        - friday
        - saturday
        - sunday
    Month:
      title: Month
      type: string
      enum:
        - january
        - february
        - march
        - april
        - may
        - june
        - july
        - august
        - september
        - october
        - november
        - december
    DurationUnit:
      title: Duration Unit
      type: string
      enum:
        - days
        - hours
      readOnly: true
    SchedulePatternShape:
      title: Shape of a Schedule Pattern
      type: string
      enum:
        - singleWeek
        - oddEvenWeeks
    DayOffType:
      title: DayOffType (enum)
      x-internal: true
      type: string
      enum:
        - 'off'
        - partTime
        - weeklyRest
      description: >-
        When a user requests a leave during a period, the type of day off
        defines whether the off days of the period must be counted according to
        the settings of the absence (unit and part time policy).
    DayPosition:
      title: DayPosition
      type: string
      enum:
        - firstHalf
        - secondHalf
        - fullDay
    FrequencyType:
      title: Frequency Type
      type: string
      enum:
        - week
        - year

````